/*
 * filename: src/gtk_common.h
 * author: Pablo Yanez Trujillo <yanezp@imtek.de>
 */

#ifndef AOF_GUI_GTK_COMMON_H
#define AOF_GUI_GTK_COMMON_H

#include <gtk/gtk.h>
#include <glade/glade.h>

/* if there is a better solution for this, please
 * please tell me....
 */
extern GladeXML *__xml;
extern GList *__categories;
extern GList *__images;
extern GList *__cd_speed;
extern GList *__dvd_speed;
extern const gchar *__last_type;

enum
{
	COL_NAME = 0,
	COL_TYPE,
	COL_DESC,
	COL_LANG,
	NUM_COLS
};

gint gtk_clean_combobox(GtkComboBox* combo, GList* list); /* returns: actual position */

void gtk_fill_combobox(GtkComboBox* combo, GList* list, gint position);

void gtk_fill_treeview(GtkTreeView* view, GList* list);

void gtk_clean_treeview(GtkTreeView* view, GList* list);

gint gtk_tree_view_get_single_pos(GtkTreeView* view);

void gtk_label_clear(GtkLabel* label);
void gtk_label_set_aof(GtkLabel* label, GList* list, gint pos);

int gtk_exec(const gchar* file, GList* argv);

#endif
